Skip to content

Delete an union local rate

Crew module

DELETE/union-local-rates/{id}unionLocalRates.delete

A union local's scale rate for a role. Soft-deletes the union local rate: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability crew.rate_card.write.
  • OAuth scopes: crew.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

unionLocalRates.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the union local rate.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/union-local-rates/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.unionLocalRates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.union_local_rates.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos union-local-rates delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f